// Project Lab - NHTV Igad

#pragma once

#include "Abilities/ProjectileBase.h"
#include "HoverProjectile.generated.h"

/**
 * 
 */
UCLASS()
class UNREALPROJECT_API AHoverProjectile : public AProjectileBase
{
	GENERATED_BODY()
	
	
public:
	UPROPERTY(VisibleAnywhere, BlueprintReadWrite, Category = "Projectile", meta = (ExposeOnSpawn))
	float hoverHeight;

	virtual void NativeMove(float DeltaTime)override;
	
};
